﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/033aee99-976e-4c8b-ac57-6dd0d1c3f9de/dd83cb8577c32a40a54d904bbda2dc57/dotnet-sdk-3.0.100-rc1-014190-win-x86.exe'
$checksum   = '0A3CDA31223133657C84E5BF31D71A51CE63832541F1BE3F4608644E1D31BB513B438A855F3EFE6DBF0012F83CAC9B7640EE502ED40752145A677054D69AD616'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/1dc9d885-52a1-4dec-8e08-2ed214292057/f383194c854a787a4c96403b72ceb738/dotnet-sdk-3.0.100-rc1-014190-win-x64.exe'
$checksum64 = '746C63ACB432DD5BD80EDFDFF8FCA8C28303650B74A813EB1B46405C734E5E036ADA0E694D00D5BBCCC4A174D16508645BA3FF41C4A7F5AEA7EEB717267561E4'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
